<jsp:directive.page pageEncoding="UTF-8" />
<!-- PostgreSQL 版 -->
<og:equals val1="{@DBF.NAME @DBID}" val2="POSTGRES">
	<!-- GFE0009 : {0} は、{1} のデータベースに対応していません。 -->
	<og:message lbl="GFE0009" val0="{@LBL.GF2080}" val1="{@DBF.NAME @DBID}" />
</og:equals>

<!-- ORACLE 版 -->
<og:equals val1="{@DBF.NAME @DBID}" val2="ORACLE">
	<!-- FUNCTION,PACKAGE,PACKAGE BODY,PROCEDURE,TYPE,TYPE BODY,TRIGGER が対象 -->
	<og:query command="NEW" dbid="{@DBID}" debug="{@debug}" maxRowCount="0">
		select 'VIEW'		AS OBJ_TYPE,
				VIEW_NAME	AS OBJ_NAME,
				VIEW_NAME	AS NAME_JA,
				0			AS NOLINE ,
				'0'			AS FGNG,
				TEXT		AS SRC_TEXT ,
				'{@TBLSYU}' AS TBLSYU,'{@SYSTEM_ID}' AS SYSTEM_ID
		from USER_VIEWS
		<og:where>
			<og:and value="'VIEW' 	 =		'{@OBJ_TYPE2}'"	/>
			<og:and value="VIEW_NAME like	'{@OBJ_NAME}'"	/>
		</og:where>
		order by 1,2,4,5
	</og:query>
</og:equals>

<!-- FIREBIRD 版 -->
<og:equals val1="{@DBF.NAME @DBID}" val2="FIREBIRD">
	<og:query command="NEW" dbid="{@DBID}" debug="{@debug}" maxRowCount="0">
		select 'VIEW'					AS OBJ_TYPE,
				trim(RDB$RELATION_NAME)	AS OBJ_NAME,
				trim(RDB$RELATION_NAME)	AS NAME_JA,
				0						AS NOLINE ,
				'0'						AS FGNG,
				trim(RDB$VIEW_SOURCE)	AS SRC_TEXT ,
				'{@TBLSYU}' AS TBLSYU,'{@SYSTEM_ID}' AS SYSTEM_ID
		from RDB$RELATIONS
		where RDB$SYSTEM_FLAG = 0
		and   RDB$VIEW_BLR is not null
		<og:where startKey="and">
			<og:and value="'VIEW'			=		'{@OBJ_TYPE2}'"	/>
			<og:and value="RDB$RELATION_NAME like	'{@OBJ_NAME}'"	/>
		</og:where>
		order by 1,2,4,5
	</og:query>
</og:equals>

<!-- MySQL 版 -->
<og:equals val1="{@DBF.NAME @DBID}" val2="MYSQL">
	<og:query command="NEW" dbid="{@DBID}" debug="{@debug}" maxRowCount="0">
		select 'VIEW'					AS OBJ_TYPE,
				TABLE_NAME				AS OBJ_NAME,
				TABLE_NAME				AS NAME_JA,
				0						AS NOLINE ,
				'0'						AS FGNG,
				VIEW_DEFINITION			AS SRC_TEXT ,
				'{@TBLSYU}' AS TBLSYU,'{@SYSTEM_ID}' AS SYSTEM_ID
		from information_schema.views
		where table_schema=database()
		<og:where startKey="and">
			<og:and value="'VIEW'		=		'{@OBJ_TYPE2}'"	/>
			<og:and value="TABLE_NAME	like	'{@OBJ_NAME}'"	/>
		</og:where>
	</og:query>
</og:equals>

<!-- POSTGRES,ORACLE,FIREBIRD,MYSQL 以外の場合 -->
<og:equals val1="POSTGRES,ORACLE,FIREBIRD,MYSQL" val2="{@DBF.NAME @DBID}" contains="true" notEquals="true">
	<!-- GFE0009 : {0} は、{1} のデータベースに対応していません。 -->
	<og:message lbl="GFE0009" val0="{@LBL.GF2080}" val1="{@DBF.NAME @DBID}" />
</og:equals>

<!-- NAME_JA にリソースを適用します。 -->
<og:tableFilter classId="LABEL" keys="SYSTEM_ID,CLM,LBL" vals="{@SYSTEM_ID},OBJ_NAME,NAME_JA" />
